
From: David Mosberger <davidm@napali.hpl.hp.com>

highmem.h uses stuff like page_address(), but fails to include
<linux/mm.h>.  Patch below fixes this.



 include/linux/highmem.h |    2 ++
 1 files changed, 2 insertions(+)

diff -puN include/linux/highmem.h~highmem-build-fix include/linux/highmem.h
--- 25/include/linux/highmem.h~highmem-build-fix	2003-06-18 15:27:26.000000000 -0700
+++ 25-akpm/include/linux/highmem.h	2003-06-18 15:27:26.000000000 -0700
@@ -3,6 +3,8 @@
 
 #include <linux/config.h>
 #include <linux/fs.h>
+#include <linux/mm.h>
+
 #include <asm/cacheflush.h>
 
 #ifdef CONFIG_HIGHMEM

_
